<!DOCTYPE html>
<!--
 | Generated by Apache Maven Doxia Site Renderer 1.7.4 at 2018-04-24 
 | Rendered using Apache Maven Fluido Skin 1.6
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Date-Revision-yyyymmdd" content="20180424" />
    <meta http-equiv="Content-Language" content="fr" />
    <title>activity-webapp Maven Webapp &#x2013; Dépendances du projet</title>
    <link rel="stylesheet" href="./css/apache-maven-fluido-1.6.min.css" />
    <link rel="stylesheet" href="./css/site.css" />
    <link rel="stylesheet" href="./css/print.css" media="print" />
      <script type="text/javascript" src="./js/apache-maven-fluido-1.6.min.js"></script>
      </head>
    <body class="topBarDisabled">
      <div class="container-fluid">
      <div id="banner">
        <div class="pull-left"><div id="bannerLeft"><h2>activity-webapp Maven Webapp</h2>
</div>
</div>
        <div class="pull-right"></div>
        <div class="clear"><hr/></div>
      </div>

      <div id="breadcrumbs">
        <ul class="breadcrumb">
        <li class=""><a href="../index.html" title="Accueil">Accueil</a><span class="divider">/</span></li>
      <li class=""><a href="index.html" title="activity-webapp Maven Webapp">activity-webapp Maven Webapp</a><span class="divider">/</span></li>
    <li class="active ">Dépendances du projet</li>
        <li id="publishDate" class="pull-right"><span class="divider">|</span> Dernière publication: 2018-04-24</li>
          <li id="projectVersion" class="pull-right">Version: 1.0-SNAPSHOT</li>
        </ul>
      </div>
      <div class="row-fluid">
        <div id="leftColumn" class="span2">
          <div class="well sidebar-nav">
<ul class="nav nav-list">
          <li class="nav-header">Projet parent</li>
    <li><a href="../index.html" title="activity"><span class="none"></span>activity</a>  </li>
            <li class="nav-header">Documentation sur le projet</li>
    <li><a href="project-info.html" title="Info Projet"><span class="icon-chevron-down"></span>Info Projet</a>
      <ul class="nav nav-list">
    <li><a href="index.html" title="Bienvenue dans le projet"><span class="none"></span>Bienvenue dans le projet</a>  </li>
    <li><a href="project-summary.html" title="Résumé du projet"><span class="none"></span>Résumé du projet</a>  </li>
    <li><a href="plugins.html" title="Plugins du projet"><span class="none"></span>Plugins du projet</a>  </li>
    <li class="active"><a href="#"><span class="none"></span>Dépendances</a>
  </li>
      </ul>
  </li>
    <li><a href="project-reports.html" title="Rapports Projet"><span class="icon-chevron-right"></span>Rapports Projet</a>  </li>
  </ul>
          <hr />
          <div id="poweredBy">
              <div class="clear"></div>
              <div class="clear"></div>
              <div class="clear"></div>
              <div class="clear"></div>
  <a href="http://maven.apache.org/" title="Produit par Maven" class="poweredBy"><img class="builtBy" alt="Produit par Maven" src="./images/logos/maven-feather.png" /></a>
              </div>
          </div>
        </div>
        <div id="bodyColumn"  class="span10" >
<a name="Dpendances_du_projet"></a>
<div class="section">
<h2><a name="Dpendances_du_projet"></a>D&#xe9;pendances du projet</h2><a name="Dpendances_du_projet_compile"></a>
<div class="section">
<h3><a name="compile"></a>compile</h3>
<p>Ce qui suit est la liste des d&#xe9;pendances de port&#xe9;e compile pour ce projet. Ces d&#xe9;pendances sont requises pour compiler et ex&#xe9;cuter l'application :</p>
<table border="0" class="table table-striped">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licence</th></tr>
<tr class="b">
<td>org.activity.demo</td>
<td><a class="externalLink" href="http://www.example.com">activity-business</a></td>
<td>1.0-SNAPSHOT</td>
<td>jar</td>
<td>-</td></tr>
<tr class="a">
<td>org.activity.demo</td>
<td><a class="externalLink" href="http://www.example.com">activity-model</a></td>
<td>1.0-SNAPSHOT</td>
<td>jar</td>
<td>-</td></tr></table></div><a name="Dpendances_du_projet_test"></a>
<div class="section">
<h3><a name="test"></a>test</h3>
<p>Ce qui suit est la liste des d&#xe9;pendances de port&#xe9;e test pour ce projet. Ces d&#xe9;pendances sont requises seulement pour compiler et ex&#xe9;cuter les tests unitaires de l'application :</p>
<table border="0" class="table table-striped">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licence</th></tr>
<tr class="b">
<td>junit</td>
<td><a class="externalLink" href="http://junit.org">junit</a></td>
<td>4.11</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.opensource.org/licenses/cpl1.0.txt">Common Public License Version 1.0</a></td></tr></table></div></div><a name="Dpendances_transitives_du_projet"></a>
<div class="section">
<h2><a name="Dpendances_transitives_du_projet"></a>D&#xe9;pendances transitives du projet</h2>
<p>Ce qui suit est la liste des d&#xe9;pendances transitives pour ce projet. Les d&#xe9;pendances transitives sont les d&#xe9;pendances des d&#xe9;pendances du projet :</p><a name="Dpendances_transitives_du_projet_compile"></a>
<div class="section">
<h3><a name="compile"></a>compile</h3>
<p>Ce qui suit est la liste des d&#xe9;pendances de port&#xe9;e compile pour ce projet. Ces d&#xe9;pendances sont requises pour compiler et ex&#xe9;cuter l'application :</p>
<table border="0" class="table table-striped">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licence</th></tr>
<tr class="b">
<td>org.activity.demo</td>
<td><a class="externalLink" href="http://www.example.com">activity-consumer</a></td>
<td>1.0-SNAPSHOT</td>
<td>jar</td>
<td>-</td></tr></table></div><a name="Dpendances_transitives_du_projet_test"></a>
<div class="section">
<h3><a name="test"></a>test</h3>
<p>Ce qui suit est la liste des d&#xe9;pendances de port&#xe9;e test pour ce projet. Ces d&#xe9;pendances sont requises seulement pour compiler et ex&#xe9;cuter les tests unitaires de l'application :</p>
<table border="0" class="table table-striped">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licence</th></tr>
<tr class="b">
<td>org.hamcrest</td>
<td><a class="externalLink" href="https://github.com/hamcrest/JavaHamcrest/hamcrest-core">hamcrest-core</a></td>
<td>1.3</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">New BSD License</a></td></tr></table></div></div><a name="Graphe_des_dpendances_du_projet"></a>
<div class="section">
<h2><a name="Graphe_des_dpendances_du_projet"></a>Graphe des d&#xe9;pendances du projet</h2><script language="javascript" type="text/javascript">
      function toggleDependencyDetail( divId, imgId )
      {
        var div = document.getElementById( divId );
        var img = document.getElementById( imgId );
        if( div.style.display == '' )
        {
          div.style.display = 'none';
          img.src='./images/icon_info_sml.gif';
        }
        else
        {
          div.style.display = '';
          img.src='./images/close.gif';
        }
      }
</script>
<a name="Arbre_des_dpendances"></a>
<div class="section">
<h3><a name="Arbre_des_dpendances"></a>Arbre des d&#xe9;pendances</h3>
<ul>
<li>org.activity.demo:activity-webapp:war:1.0-SNAPSHOT <img id="_img1" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep0', '_img1' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep0" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>activity-webapp Maven Webapp</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Il n'y a aucune description actuellement li&#xe9;e &#xe0; ce projet.</p>
<p><b>URL: </b><a class="externalLink" href="http://www.example.com">http://www.example.com</a></p>
<p><b>Licence du projet: </b>Aucune licence n'est d&#xe9;finie pour ce projet.</p></td></tr></table></div>
<ul>
<li>org.activity.demo:activity-model:jar:1.0-SNAPSHOT (compile) <img id="_img3" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep2', '_img3' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep2" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>activity-model</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Il n'y a aucune description actuellement li&#xe9;e &#xe0; ce projet.</p>
<p><b>URL: </b><a class="externalLink" href="http://www.example.com">http://www.example.com</a></p>
<p><b>Licence du projet: </b>Aucune licence n'est d&#xe9;finie pour ce projet.</p></td></tr></table></div></li>
<li>org.activity.demo:activity-business:jar:1.0-SNAPSHOT (compile) <img id="_img5" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep4', '_img5' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep4" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>activity-business</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Il n'y a aucune description actuellement li&#xe9;e &#xe0; ce projet.</p>
<p><b>URL: </b><a class="externalLink" href="http://www.example.com">http://www.example.com</a></p>
<p><b>Licence du projet: </b>Aucune licence n'est d&#xe9;finie pour ce projet.</p></td></tr></table></div>
<ul>
<li>org.activity.demo:activity-consumer:jar:1.0-SNAPSHOT (compile) <img id="_img7" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep6', '_img7' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep6" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>activity-consumer</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Il n'y a aucune description actuellement li&#xe9;e &#xe0; ce projet.</p>
<p><b>URL: </b><a class="externalLink" href="http://www.example.com">http://www.example.com</a></p>
<p><b>Licence du projet: </b>Aucune licence n'est d&#xe9;finie pour ce projet.</p></td></tr></table></div></li></ul></li>
<li>junit:junit:jar:4.11 (test) <img id="_img9" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep8', '_img9' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep8" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>JUnit</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>JUnit is a regression testing framework written by Erich Gamma and Kent Beck.
        It is used by the developer who implements unit tests in Java.</p>
<p><b>URL: </b><a class="externalLink" href="http://junit.org">http://junit.org</a></p>
<p><b>Licence du projet: </b><a class="externalLink" href="http://www.opensource.org/licenses/cpl1.0.txt">Common Public License Version 1.0</a></p></td></tr></table></div>
<ul>
<li>org.hamcrest:hamcrest-core:jar:1.3 (test) <img id="_img11" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_dep10', '_img11' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_dep10" style="display:none">
<table border="0" class="table table-striped">
<tr class="a">
<th>Hamcrest Core</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>This is the core API of hamcrest matcher framework to be used by third-party framework providers. This includes the a foundation set of matcher implementations for common operations.</p>
<p><b>URL: </b><a class="externalLink" href="https://github.com/hamcrest/JavaHamcrest/hamcrest-core">https://github.com/hamcrest/JavaHamcrest/hamcrest-core</a></p>
<p><b>Licence du projet: </b><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">New BSD License</a></p></td></tr></table></div></li></ul></li></ul></li></ul></div></div><a name="Licences"></a>
<div class="section">
<h2><a name="Licences"></a>Licences</h2>
<p><b>Inconnu: </b>activity-business, activity-consumer, activity-model, activity-webapp Maven Webapp</p>
<p><b>New BSD License: </b>Hamcrest Core</p>
<p><b>Common Public License Version 1.0: </b>JUnit</p></div><a name="Dtails_du_fichier_de_dpendances"></a>
<div class="section">
<h2><a name="Dtails_du_fichier_de_dpendances"></a>D&#xe9;tails du fichier de d&#xe9;pendances</h2>
<table border="0" class="table table-striped">
<tr class="a">
<th>Nom du fichier</th>
<th>Taille</th>
<th>Entr&#xe9;es</th>
<th>Classes</th>
<th>Packages</th>
<th>R&#xe9;vision du JDK</th>
<th>Debug</th></tr>
<tr class="b">
<td>junit-4.11.jar</td>
<td>239,30 ko</td>
<td>266</td>
<td>233</td>
<td>28</td>
<td>1.5</td>
<td>debug</td></tr>
<tr class="a">
<td>activity-business.jar</td>
<td>2,77 ko</td>
<td>12</td>
<td>1</td>
<td>1</td>
<td>1.6</td>
<td>debug</td></tr>
<tr class="b">
<td>activity-consumer.jar</td>
<td>2,76 ko</td>
<td>12</td>
<td>1</td>
<td>1</td>
<td>1.6</td>
<td>debug</td></tr>
<tr class="a">
<td>activity-model.jar</td>
<td>2,71 ko</td>
<td>12</td>
<td>1</td>
<td>1</td>
<td>1.6</td>
<td>debug</td></tr>
<tr class="b">
<td>hamcrest-core-1.3.jar</td>
<td>43,97 ko</td>
<td>52</td>
<td>45</td>
<td>3</td>
<td>1.5</td>
<td>debug</td></tr>
<tr class="a">
<th>Total</th>
<th>Taille</th>
<th>Entr&#xe9;es</th>
<th>Classes</th>
<th>Packages</th>
<th>R&#xe9;vision du JDK</th>
<th>Debug</th></tr>
<tr class="b">
<td>5</td>
<td>291,51 ko</td>
<td>354</td>
<td>281</td>
<td>34</td>
<td>1.6</td>
<td>5</td></tr>
<tr class="a">
<td>compile: 3</td>
<td>compile: 8,24 ko</td>
<td>compile: 36</td>
<td>compile: 3</td>
<td>compile: 3</td>
<td>-</td>
<td>compile: 3</td></tr>
<tr class="b">
<td>test: 2</td>
<td>test: 283,26 ko</td>
<td>test: 318</td>
<td>test: 278</td>
<td>test: 31</td>
<td>-</td>
<td>test: 2</td></tr></table></div><a name="Localisation_du_rfrentiel_des_dpendances"></a>
<div class="section">
<h2><a name="Localisation_du_rfrentiel_des_dpendances"></a>Localisation du r&#xe9;f&#xe9;rentiel des d&#xe9;pendances</h2>
<table border="0" class="table table-striped">
<tr class="a">
<th>R&#xe9;f&#xe9;rentiel ID</th>
<th>URL</th>
<th>Release</th>
<th>Snapshot</th></tr>
<tr class="b">
<td>central</td>
<td><a class="externalLink" href="https://repo.maven.apache.org/maven2">https://repo.maven.apache.org/maven2</a></td>
<td>Oui</td>
<td>-</td></tr></table>
<p>Localisation du r&#xe9;f&#xe9;rentiel pour chacune des d&#xe9;pendances.</p>
<table border="0" class="table table-striped">
<tr class="a">
<th>Artefact</th>
<th>central</th></tr>
<tr class="b">
<td>junit:junit:jar:4.11</td>
<td>-</td></tr>
<tr class="a">
<td>org.activity.demo:activity-business:jar:1.0-SNAPSHOT</td>
<td>-</td></tr>
<tr class="b">
<td>org.activity.demo:activity-consumer:jar:1.0-SNAPSHOT</td>
<td>-</td></tr>
<tr class="a">
<td>org.activity.demo:activity-model:jar:1.0-SNAPSHOT</td>
<td>-</td></tr>
<tr class="b">
<td>org.hamcrest:hamcrest-core:jar:1.3</td>
<td>-</td></tr>
<tr class="a">
<th>Total</th>
<th>central</th></tr>
<tr class="b">
<td>5 (compile: 3, test: 2)</td>
<td>0</td></tr></table></div>
        </div>
      </div>
    </div>
    <hr/>
    <footer>
      <div class="container-fluid">
        <div class="row-fluid">
            <p>Copyright &copy;2018
<a href="http://www.exemple.org">Mon entreprise</a>.
All rights reserved.</p>
        </div>
        </div>
    </footer>
    </body>
</html>
